﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;

using FieldApp.Extensibility;
using QueryAddin;
using EditAddin;

namespace ElectricAddin
{

	public class LocateMenuItem : IMapMenuItem
	{
		public Image Icon
		{
			get { return null; }
		}

		public bool IsCheckable
		{
			get { return false; }
		}

		public bool IsChecked
		{
			get { return false; }
		}

		public bool IsEnabled
		{
			get { return true; }
		}

		public string Label
		{
			get { return "Locate"; }
		}

		public void OnClick()
		{
		}

		public event EventHandler<EventArgs> IsEnabledChanged { add { } remove { } } // Not used  

	}

	#region Electric Locators
	public class LocateFacilityMenuItem : QueryMenuItem
	{

		private const string sWindowIcon = "ElectricAddin.Images.Find.ico";
		private static IParentWindow _pw = null;

		public LocateFacilityMenuItem()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sIconPath = null;
			_sLabel = "Facility...";
			_bIsCheckable = false;
			_bIsChecked = false;
		}

		protected override void QExecute()
		{
			if (_pw == null)
			{
				ucLocateFacility uc = new ucLocateFacility();
				ParentWindow pw = new ParentWindow();
				pw.SetTitle("Locate Facility");
				pw.SetIcon(AddinHelper.GetImageSource(_MyAssembly, sWindowIcon));
				pw.SetContent(uc, false);
				uc.Initialize(MapApplication.Current.Map, pw);
				_pw = pw;
			}
			_pw.ShowWindow();
		}

	}
	#endregion

	#region Markup
	public class RedPointMenuItem : EditMenuItem
	{

		public RedPointMenuItem()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sIconPath = "ElectricAddin.Images.RedPoint.png";
			_sLabel = "Point Markup";
			_bIsCheckable = false;
			_bIsChecked = false;
		}

		protected override void EdExecute()
		{

		}

	}

	public class RedLineMenuItem : EditMenuItem
	{

		public RedLineMenuItem()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sIconPath = "ElectricAddin.Images.RedLine.png";
			_sLabel = "Line Markup";
			_bIsCheckable = false;
			_bIsChecked = false;
		}

		protected override void EdExecute()
		{

		}

	}

	public class RedPolyMenuItem : EditMenuItem
	{

		public RedPolyMenuItem()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sIconPath = "ElectricAddin.Images.RedPoly.png";
			_sLabel = "Poly Markup";
			_bIsCheckable = false;
			_bIsChecked = false;
		}

		protected override void EdExecute()
		{

		}

	}
	#endregion

}
