﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using FieldApp.Extensibility;

namespace ElectricAddin
{

	/// <summary>
	/// Interaction logic for ucAddMarkup.xaml
	/// </summary>
	public partial class ucAddElectricMarkup : UserControl
	{

		private Dictionary<string, object> _props = null;
		private IDialogWindow _dw;

		public ucAddElectricMarkup()
		{
			InitializeComponent();
		}

		public Dictionary<string, object> Values { get { return _props; } }

		public void Initialize(IDialogWindow dw)
		{
			_dw = dw;
			btnOK.Click += new RoutedEventHandler(btnOK_Click);
			btnCancel.Click += new RoutedEventHandler(btnCancel_Click);
		}

		void btnOK_Click(object sender, RoutedEventArgs e)
		{
			_props = new Dictionary<string, object>();
			_props["TITLE"] = txtLocation.Text;
			_props["DETAIL"] = txtDescription.Text;
			_props["FIXED"] = "No";
			string sUser = Environment.GetEnvironmentVariable("USERNAME");
			string sPCode = sUser + ":" + DateTime.Now.ToString("MMddyy");
			_props["PLACEMENT_CODE"] = sPCode;
			_props["IDSTAMP"] = Guid.NewGuid().ToString();
			_props["TIMESTAMP"] = DateTime.Now;
			_dw.CloseDialog(true);
		}

		void btnCancel_Click(object sender, RoutedEventArgs e)
		{
			_dw.CloseDialog(false);
		}

	}
}
