﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Windows;
using System.Windows.Controls;

using ESRI.ArcGIS.Client;

using FieldApp.Extensibility;

namespace NavAddin
{

	public class FileMenuItem : IMapMenuItem
	{
		public Image Icon
		{
			get { return null; }
		}

		public bool IsCheckable
		{
			get { return false; }
		}

		public bool IsChecked
		{
			get { return false; }
		}

		public bool IsEnabled
		{
			get { return true; }
		}

		public string Label
		{
			get { return "File"; }
		}

		public void OnClick()
		{
		}

		public event EventHandler<EventArgs> IsEnabledChanged { add { } remove { } } // Not used  

	}

	public class ExportMapMenuItem : NavMenuItem
	{

		public ExportMapMenuItem()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sIconPath = "NavAddin.Images.Export.png";
			_sLabel = "Export Map...";
			_bIsCheckable = false;
			_bIsChecked = false;
		}

		protected override void NavExecute()
		{
			MapApplication app = MapApplication.Current;
			string sOutFile = app.GetOutputFile("bmp");
			if (string.IsNullOrEmpty(sOutFile))
				return;
			Map MyMap = MapApplication.Current.Map;
			app.ExportMap(MyMap, sOutFile);
		}

	}

	public class ExitMenuItem : IMapMenuItem
	{

		public Image Icon
		{
			get { return null; }
		}

		public bool IsCheckable
		{
			get { return false; }
		}

		public bool IsChecked
		{
			get { return false; }
		}

		public bool IsEnabled
		{
			get { return true; }
		}

		public string Label
		{
			get { return "Exit"; }
		}

		public void OnClick()
		{
			MapApplication.Current.Exit();
		}

		public event EventHandler<EventArgs> IsEnabledChanged { add { } remove { } } // Not used  
	}

	public class EditMenuItem : IMapMenuItem
	{
		public Image Icon
		{
			get { return null; }
		}

		public bool IsCheckable
		{
			get { return false; }
		}

		public bool IsChecked
		{
			get { return false; }
		}

		public bool IsEnabled
		{
			get { return true; }
		}

		public string Label
		{
			get { return "Edit"; }
		}

		public void OnClick()
		{
		}

		public event EventHandler<EventArgs> IsEnabledChanged { add { } remove { } } // Not used  

	}

	public class CopyMapMenuItem : NavMenuItem
	{

		public CopyMapMenuItem()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sIconPath = "NavAddin.Images.CopyMap.png";
			_sLabel = "Copy Map";
			_bIsCheckable = false;
			_bIsChecked = false;
		}

		protected override void NavExecute()
		{
			Map MyMap = MapApplication.Current.Map;
			MapApplication.Current.CopyMap(MyMap);
		}

	}


}
