﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Windows.Controls;

using ESRI.ArcGIS.Client;

using FieldApp.Extensibility;

namespace QueryAddin
{

	public class FindMenuItem : QueryMenuItem
	{

		public FindMenuItem()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sIconPath = "QueryAddin.Images.Find.png";
			_sLabel = "Find...";
			_bIsCheckable = false;
			_bIsChecked = false;
		}

		protected override void QExecute()
		{
			FindButton.Launch();
		}

	}

	public class GoToXYMenuItem : QueryMenuItem
	{

		public GoToXYMenuItem()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sIconPath = "QueryAddin.Images.FindXY.png";
			_sLabel = "Go to XY...";
			_bIsCheckable = false;
			_bIsChecked = false;
		}

		protected override void QExecute()
		{
			GoToXYButton.Launch();
		}

	}

	public class HighlightYellowMenuItem : QueryMenuItem
	{

		public HighlightYellowMenuItem()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sIconPath = "QueryAddin.Images.HighlightYellow.png";
			_sLabel = "Yellow Highlighter";
			_bIsCheckable = false;
			_bIsChecked = false;
		}

		protected override void QExecute()
		{
			
		}

	}

	public class HighlightBlueMenuItem : QueryMenuItem
	{

		public HighlightBlueMenuItem()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sIconPath = "QueryAddin.Images.HighlightBlue.png";
			_sLabel = "Blue Highlighter";
			_bIsCheckable = false;
			_bIsChecked = false;
		}

		protected override void QExecute()
		{
			
		}

	}

	public class HighlightGreenMenuItem : QueryMenuItem
	{

		public HighlightGreenMenuItem()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sIconPath = "QueryAddin.Images.HighlightGreen.png";
			_sLabel = "Green Highlighter";
			_bIsCheckable = false;
			_bIsChecked = false;
		}

		protected override void QExecute()
		{

		}

	}

	public class EraseEntireMenuItem : QueryMenuItem
	{

		public EraseEntireMenuItem()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sIconPath = "QueryAddin.Images.EraseEntire.png";
			_sLabel = "Entire Ink Stroke";
			_bIsCheckable = false;
			_bIsChecked = false;
		}

		protected override void QExecute()
		{

		}

	}

	public class EraseSmallMenuItem : QueryMenuItem
	{

		public EraseSmallMenuItem()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sIconPath = "QueryAddin.Images.EraseSmall.png";
			_sLabel = "Small Eraser";
			_bIsCheckable = false;
			_bIsChecked = false;
		}

		protected override void QExecute()
		{

		}

	}

	public class EraseMediumMenuItem : QueryMenuItem
	{

		public EraseMediumMenuItem()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sIconPath = "QueryAddin.Images.EraseMedium.png";
			_sLabel = "Medium Eraser";
			_bIsCheckable = false;
			_bIsChecked = false;
		}

		protected override void QExecute()
		{

		}

	}

	public class EraseLargeMenuItem : QueryMenuItem
	{

		public EraseLargeMenuItem()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sIconPath = "QueryAddin.Images.EraseLarge.png";
			_sLabel = "Large Eraser";
			_bIsCheckable = false;
			_bIsChecked = false;
		}

		protected override void QExecute()
		{

		}

	}

}
