﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Configuration;
using System.Data;
using System.Deployment.Application;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Web;
using System.Windows;

using ESRI.ArcGIS.Client;

using FieldApp.Extensibility;

namespace FieldApp
{
	/// <summary>
	/// Interaction logic for App.xaml
	/// </summary>
	public partial class App : Application
	{

		public const string License = "";
		public const string RuntimePath = @"c:\apps";
		public const string RuntimePackage = "ArcGISRuntime10.2";

		private void Application_Startup(object sender, StartupEventArgs e)
		{

			try
			{

				// Initialize the ArcGIS Runtime before any components are created.

				string sLicence = App.License;
				if (sLicence != "")
					ArcGISRuntime.SetLicense(sLicence);

				if (Directory.Exists(RuntimePath + "\\" + RuntimePackage))
					ArcGISRuntime.InstallPath = RuntimePath;
				ArcGISRuntime.Initialize();

				// Get configuration from command line argument

				string sConfig = "";
				if (e.Args != null)
				{
					if (e.Args.Count() > 0)
						sConfig = e.Args[0];
				}
				FieldApp.MainWindow.ConfigFile = sConfig;
				
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.ToString());

				// Exit application
				this.Shutdown();
			}

		}

	}
}
